/*
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <libgnomeui-2.0/gnome.h>
#include "callbacks.h"
#include "interface.h"
#include "support.h"


int main(int argc, char *argv[]) {

   GtkWidget *window1;

   g_print("\n");
   g_print("---------------------------------------------------------------------------\n");
   g_print("\n");
   g_print("Joshua Chess Robot - Copyright (C) 2004-2011 by Vittorio GiPOCO Segotta\n");
   g_print("This program comes with ABSOLUTELY NO WARRANTY under the GNU GPL v3 license\n");
   g_print("This is free software, and you are welcome to redistribute it under\n");
   g_print("certain conditions; for detail http://www.gnu.org/licenses/gpl-3.0.txt\n");
   g_print("\n");
   g_print("---------------------------------------------------------------------------\n");
   g_print("\n");

   if (!g_thread_supported()) {
      g_thread_init(NULL);
   } else {
      g_print ("GLib Thread system YET STARTED - WARNING !!\n");
   }
   gdk_threads_init();


#ifdef ENABLE_NLS
   bindtextdomain(GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
   bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
   textdomain(GETTEXT_PACKAGE);
#endif

   gnome_program_init(PACKAGE, VERSION, LIBGNOMEUI_MODULE, argc, argv, GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR, NULL);
   window1=create_window1();
   gtk_widget_show(window1);
   gpk_game_reset((GtkButton *)window1);
   gpk_disable_buttons();
   g_signal_connect(window1, "delete_event", gtk_main_quit, NULL); /* dirty */
   g_print(" ==> MAIN <== \n");
   gtk_main();
   return 0;
}

